# Poll Import Job

Allows polling the status of an Import Job.

Endpoint: GET /jobs/importjobs/{jobId}
Version: 5
Security: apiKey

## Query parameters:

  - `skippedStartAfter` (string)
    Next page of items will be retrieved. When skippedNextStartAfter provided in the response, should be used.
    Example: "5712566172571652"

## Path parameters:

  - `jobId` (string, required)
    Unique identifier of a Job.
    Example: "35f23c03-1c22-45fe-9484-3ffe769325de"

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of a job.
    Example: "35f23c03-1c22-45fe-9484-3ffe769325de"

  - `name` (string)
    Name of a Job.
    Example: "Process vendor data."

  - `description` (string)
    Detailed description of a Job.
    Example: "I started this job to improve quality of our data."

  - `createdBy` (string)
    Creator of a resource.
    Example: "76248934691294444"

  - `createdAt` (string)
    Date of creation (ISO 8601-compliant).
    Example: "2026-06-03T12:58:32Z"

  - `modifiedAt` (string)
    Date of modification (ISO 8601-compliant).
    Example: "2026-06-03T12:58:32Z"

  - `progress` (integer)
    Progress (%) of the job.
    Example: "77"

  - `status` (string)
    Job execution status.
    Enum: "ARCHIVED", "UNKNOWN", "CREATED", "PERSISTED", "SCHEDULED", "WAITING", "COULDNT_START", "RUNNING", "FINISHED", "DIED", "CANCELED", "FAILED"

  - `statusMessage` (string)
    Additional information to explain the status.
    Example: "The job failed because storage is empty."

  - `storageId` (string)
    Unique identifier of the Storage.
    Example: "72d6900fce6b326088f5d9d91049e3e6"

  - `dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `dataMapperDefinitionId` (string)
    ID of related Data Mapper Definition that is used for mapping data of this Business Partner Storage.
    Example: "6440dba32b30176c5917b1b7"

  - `dataTransformationDefinitionId` (string)
    Unique identifier for a data transformation definition.
    Example: "SAP.ODM"

  - `externalIdColumn` (string)
    The name of the column which will be mapped to external ID. This is required if feature UPSERT_BY_EXTERNAL_ID is activated.
    Example: "BP_EXTERNAL_ID"

  - `featureOn` (array)
    List of features which are activated for the Import Job.
    Example: ["UPSERT_BY_EXTERNAL_ID"]

  - `result` (object)
    The result of the Import Job.

  - `result.statistics` (object)
    The statistics of the Import Job.

  - `result.statistics.numberOfInserts` (integer)
    Number of inserted Business Partners.
    Example: "10"

  - `result.statistics.numberOfUpdates` (integer)
    Number of updated Business Partners.
    Example: "10"

  - `result.statistics.numberOfFailed` (integer)
    Number of failed Business Partners.
    Example: "10"

  - `result.statistics.skipped` (array)
    List of skipped lines.

  - `result.statistics.skipped.line` (integer)
    The line number of the corrupted line.
    Example: "10"

  - `result.statistics.skipped.column` (integer)
    The column number of the corrupted line.
    Example: "10"

  - `result.statistics.skippedStartAfter` (string)
    The line number of the first skipped line.
    Example: "10"

  - `result.statistics.skippedNextStartAfter` (string)
    The line number of the next skipped line.
    Example: "20"

  - `domain` (string)
    Domain of a Business Partner Storage.
    Example: "BusinessPartner"


